Download it now!
Bug 117734 - Columns and formatting lost when saved and reopened as RTF
Summary: Columns and formatting lost when saved and reopened as RTF
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2018-05-22 04:41 UTC by rcdorner
Modified: 2019-08-07 08:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rcdorner 2018-05-22 04:41:36 UTC
Description:
So I had hoped to finally be able to get rid of this hideous Microsoft Office 2016
But I learned my lesson with "LaborOffice"
until the event I thought quite highly of libreoffice and now it's another thing that goes to the trash as useless inane dysfunctional crap full of bugs!

I spent three hours on an important document today Creating in LibreOffice Writer.
The first problem I came across which I posted here was that it did not retain The three column sizes in a document while open. Also disable and not accessible were the vertical separation lines settings.

I saved the document off as an RTF file so I would certainly have no issue opening it in another writing program if needed.

Well guess what? libreoffice writer failed miserably and upon opening the RTF file had thrown out all the formatting of the three columns!
and that includes all the hyperlinks as well which all produce error messages.
And before I forget the bookmarks Links too.

From there on everything went downhill. 
Trying to re-create the three columns and set the column breaks I saved it again.
upon opening the newly re-created document I had to discover that now it was completely eff'd up!
the document now had more columns than I designated and section breaks none of them which could be eliminated. In other words it was just a miracle that the app did not start editing and writing text by itself.

these two major Disasters made my decision it's a piece of worthless crap Bug where as unripe as a green apple. I cannot rely on The simplest thing. Might as well get the old Remington typewriter. I spent considerable more time re-creating and restoring a document then it took me to created The original doc it in the first place!

Steps to Reproduce:
1.create a three column document spend a lot of time writing and formatting, inserting hyperlinks etc.
2.save it as RTF
3.open it again and then bang your head on the wall for having wasted time with libreoffice!

For those who want to be wise: yes the same thing in safe mode.
The same thing happens if you save it in Microsoft Word as RTF and open-it in LibreOffice. Not so however, if you reopen it again in Microsoft Word. The formatting is retained (That is the whole purpose of RTF!)
libreoffice dumps the formatting or creates It's own!
hyperlinks are gone to.
worthless, useless.
I need to work and be productive.

Actual Results:  
everything else but what expected. (and this in the year 2018)

Expected Results:
To open the document In the format and appearance the way I saved it! DUH!
or for that matter if I set certain column widths to retain and safe both sizes!


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.0.3.2 (x64)
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: 

with or without OpenGL enabled, it does not matter


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Buovjaga 2018-05-22 07:28:39 UTC
I get that you are angry, but it is best to always save in the Open Document Format first and only then try saving a version to some proprietary format.

Looking at https://en.wikipedia.org/wiki/Rich_Text_Format#History there is a telling mention: "New features in Word 2010 and later versions will not save properly to the RTF format".

I see from the 1.5 specification that RTF at least should support columns: http://www.biblioscape.com/rtf15_spec.htm#Heading27

I found this report for RTF columns: bug 114309. Perhaps it is related to your problem?
Comment 2 Dennis Roczek 2018-05-22 13:52:23 UTC
Can you provide an example document?
Comment 3 Buovjaga 2018-05-22 14:09:08 UTC
(In reply to Dennis Roczek from comment #2)
> Can you provide an example document?

And specifically, an example document in ODT format.
Comment 4 Italo Vignoli 2018-05-22 20:42:56 UTC
RTF is not a standard document format, so the assumption that saving a file as RTF will allow opening the file with other software without issues is completely wrong. The same applies to the OOXML document format, and the fact that both have been developed by Microsoft is not a coincidence.
There is only one standard document format, and is ODF. We strongly support ODF and suggest to save as ODF to prevent data and format loss.
Comment 5 Miklos Vajna 2018-05-24 15:26:47 UTC
Given we don't have a reproducer, should this be in NEEDINFO?
Comment 6 Telesto 2018-05-24 15:47:22 UTC
Probably bug 114309
Comment 7 Thomas Lendo 2018-05-24 18:41:19 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. We have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided. (Please note that the attachment will be public, remove any sensitive information before attaching it. See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 8 QA Administrators 2019-05-23 02:50:42 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-06-23 02:52:42 UTC Comment hidden (obsolete)
Comment 10 rcdorner 2019-06-24 18:22:25 UTC
Problem is still the same as in my first post.

Create a document with i.e. three columns.
Save as RTF.
When reopened all formatting is gone!
Comment 11 furniturescam 2019-08-07 08:39:29 UTC Comment hidden (spam)